////////////////////////////
// Code Snippet Embed 1.0 //
////////////////////////////


function init(bricVersion)
{
	window.webkit.messageHandlers.debug.postMessage("Current Bric Version = "+bricVersion);
}

// Set Content
function setContent(content,attrName)
{
	$('code').text(content);
	$('.remove-on-export').text(content);

	applySyntaxColor();
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Content
function toggleSyntaxColor(colorApply,attrName)
{
	$('.remove-on-export').attr('data-highlight',colorApply);

	if (colorApply == 0) // Remove Color
	{
		$('code').text($('.remove-on-export').text());
	}
	else // Apply Color
	{
		applySyntaxColor();
	}

	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Set Syntax Mode
function setSyntaxMode(syntaxMode,attrName)
{
	var syntaxData = 'html';

	if (syntaxMode == 1) // CSS
	{
		syntaxData = 'css';
	}
	else if(syntaxMode == 2) // JS
	{
		syntaxData = 'js';
	}

	$('.remove-on-export').attr('data-syntax-mode',syntaxData);
	$('code').text($('.remove-on-export').text());
	applySyntaxColor();
	window.webkit.messageHandlers.sync.postMessage("changes"); // Sync Changes
}

// Apply Syntax Color
function applySyntaxColor()
{
	if ($('.remove-on-export').attr('data-highlight') == 1) // Apply Syntax Highlight
	{
		w3CodeColor(document.getElementsByTagName("code")[0],$('.remove-on-export').attr('data-syntax-mode'));
	}
}


